Index: branches/presentation/src/world_entities/npcs/door.cc
===================================================================
--- branches/presentation/src/world_entities/npcs/door.cc	(revision 9085)
+++ branches/presentation/src/world_entities/npcs/door.cc	(revision 9087)
@@ -45,10 +45,4 @@
 
 
-Door::Door ()
-{
-  this->init();
-}
-
-
 Door::Door(const TiXmlElement* root)
 {
@@ -56,4 +50,5 @@
   this->setClassID(CL_DOOR, "Door");
   this->scale = 1.0f;
+  this->actionRadius = 1.0;
 
   if( root != NULL)
@@ -62,4 +57,5 @@
   this->toList(OM_COMMON);
   this->bLocked = false;
+  this->bOpen = false;
 
   this->loadMD2Texture("maps/doors.jpg");
Index: branches/presentation/src/world_entities/npcs/door.h
===================================================================
--- branches/presentation/src/world_entities/npcs/door.h	(revision 9085)
+++ branches/presentation/src/world_entities/npcs/door.h	(revision 9087)
@@ -22,6 +22,5 @@
 {
   public:
-    Door ();
-    Door(const TiXmlElement* root);
+    Door(const TiXmlElement* root = NULL);
     virtual ~Door ();
 
@@ -43,4 +42,5 @@
 
   private:
+    void init();
     bool checkOpen();
     void setAnimation(int animNum, int playbackMode = 0);
Index: branches/presentation/src/world_entities/npcs/generic_npc.cc
===================================================================
--- branches/presentation/src/world_entities/npcs/generic_npc.cc	(revision 9085)
+++ branches/presentation/src/world_entities/npcs/generic_npc.cc	(revision 9087)
@@ -84,6 +84,4 @@
   this->toList(OM_GROUP_00);
 
-  if (this->soundBuffer != NULL)
-    ResourceManager::getInstance()->unload(this->soundBuffer);
   this->soundBuffer = (OrxSound::SoundBuffer*)ResourceManager::getInstance()->load("sound/rain.wav", WAV);
 
Index: branches/presentation/src/world_entities/space_ships/spacecraft_2d.cc
===================================================================
--- branches/presentation/src/world_entities/space_ships/spacecraft_2d.cc	(revision 9085)
+++ branches/presentation/src/world_entities/space_ships/spacecraft_2d.cc	(revision 9087)
@@ -110,8 +110,16 @@
   this->airFriction = 2.0f;
 
+
   this->setHealthMax(100);
   this->setHealth(100);
 
+
+  /// 2D-MODE
+  this->travelHeight = 0.0f;
+  this->toTravelHeight = NULL;
+  this->travelSpeed = 0.0f;
   this->travelNode = new PNode();
+
+
   // camera - issue
   this->cameraNode.addNodeFlags(PNODE_PROHIBIT_DELETE_WITH_PARENT);
@@ -124,5 +132,5 @@
   this->burstEmitter->setParent(this);
   this->burstEmitter->setRelCoor(0, -0.7, 0);
-  this->burstEmitter->setRelDir(Quaternion(-M_PI_2, Vector(0,0,1)));
+  this->burstEmitter->setRelDir(Quaternion(-M_PI, Vector(0,0,1)));
   this->burstEmitter->setName("Spacecraft2D_Burst_emitter_Left");
 
@@ -203,5 +211,5 @@
 {
   dynamic_cast<Element2D*>(this->getWeaponManager().getFixedTarget())->setVisibility( true);
-  this->setPlaymode(this->getPlaymode());
+  this->setPlaymode(Playable::Full3D /*this->getPlaymode()*/);
 }
 
Index: branches/presentation/src/world_entities/space_ships/spacecraft_2d.h
===================================================================
--- branches/presentation/src/world_entities/space_ships/spacecraft_2d.h	(revision 9085)
+++ branches/presentation/src/world_entities/space_ships/spacecraft_2d.h	(revision 9087)
@@ -22,7 +22,13 @@
 
     virtual void loadParams(const TiXmlElement* root);
+
+    void setTravelSpeed(float travelSpeed);
+    void setTravelHeight(float travelHeight);
+
+
     virtual void setPlayDirection(const Quaternion& rot, float speed = 0.0f);
     virtual void enter();
     virtual void leave();
+
 
     virtual void postSpawn();
@@ -51,18 +57,23 @@
     float                 mouseSensitivity;   //!< the mouse sensitivity
 
+    /// Normal Movement.
+    Quaternion            direction;          //!< the direction of the Spacecraft2D.
+    float                 acceleration;       //!< the acceleration of the Spacecraft2D.
+    float                 airFriction;        //!< AirFriction.
 
+    float                 airViscosity;
+
+
+    /// 2D-traveling
     PNode*                travelNode;
+    float                 travelHeight;
+    float*                toTravelHeight;
+    float                 travelSpeed;        //!< the current speed of the Hove (to make soft movement)
 
+    /// Camera
     PNode                 cameraNode;
     float                 cameraLook;
     float                 rotation;
 
-   // Vector                velocity;           //!< the velocity of the Spacecraft2D.
-    Quaternion            direction;          //!< the direction of the Spacecraft2D.
-    float                 travelSpeed;        //!< the current speed of the Hove (to make soft movement)
-    float                 acceleration;       //!< the acceleration of the Spacecraft2D.
-    float                 airFriction;        //!< AirFriction.
-
-    float                 airViscosity;
 
     ParticleEmitter*      burstEmitter;
